function [u, data, data_orig, sumlead, MQRS] = loadPreprocBData5( ...
	dataFileNr, filterB, inStd, inTanh, meanMRR )
%loadPreprocAData1 load and preprocess data PhysioNet 2013 challenge A set
% Please save modifications of this file under name ...2, etc.
% by Mantas Lukosevicius & Vaidotas Marozas 2013]
	
% default parameters
	if nargin < 5
		meanMRR = 1.5;
		if nargin < 4
			inTanh = 1;
			if nargin < 3
				inStd = 1;
			end
		end
	end
	
	if dataFileNr < 10
		dataFileName = ['b0' num2str(dataFileNr) ];
	else
		dataFileName = ['b' num2str(dataFileNr) ];
	end
	%disp(dataFileName);
	
	[u, data, data_orig, sumlead, MQRS] = loadPreprocData5( ...
	dataFileName, filterB, inStd, inTanh, meanMRR );

end